Bug 122804 - Bitmap import: File picker window title not localizable
Summary: Bitmap import: File picker window title not localizable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords: bibisected, bisected
Depends on:
Blocks:
 
Reported: 2019-01-18 12:48 UTC by Dian Li
Modified: 2019-03-21 21:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dian Li 2019-01-18 12:48:45 UTC
(Bug found by user: YQ-YSY)

Paragraph style - Sections - Bitmap - Add / Import.

Note: not reproducible on macos.



The dialog window title is hard coded in /cui/source/tabpages/tpbitmap.cxx [1]:
    SvxOpenGraphicDialog aDlg("Import", GetDialogFrameWeld());

Bug was introduced in commit a44a0690da6d7cdc173fffea2b87ca899eb41ecd [2].

[1] https://github.com/LibreOffice/core/blob/ba28af8aa576869a5e6a4f3129af302c824d31a5/cui/source/tabpages/tpbitmap.cxx#L716
[2] https://github.com/LibreOffice/core/commit/a44a0690da6d7cdc173fffea2b87ca899eb41ecd#diff-607728f41ee61c4c968cfcf256c2f618R297
Comment 1 Xisco Faulí 2019-01-21 18:47:18 UTC
You can't confirm your own bugs. Moving it back to UNCONFIRMED until someone
else confirms it.
Comment 2 Xisco Faulí 2019-03-21 12:47:11 UTC
reproduced in

Versión: 6.2.2.1
Id. de compilación: fcd633fb1bf21b0a99c9acb3ad6e526437947b01
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded
Comment 3 Xisco Faulí 2019-03-21 14:42:58 UTC
@Caolán, this is similar to bug 122803
Comment 4 Commit Notification 2019-03-21 21:20:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2708a37e99ac6c923940573eca7627620557ccce%5E%21

Resolves: tdf#122804 make bitmap page 'add' dialog title localized

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2019-03-21 21:21:37 UTC
fixed in master, backport to 6-2 in gerrit
Comment 6 Commit Notification 2019-03-21 21:50:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/8e56c7e5858b4d69bf1674ffeec27ae5d2c9ee79%5E%21

Resolves: tdf#122804 make bitmap page 'add' dialog title localized

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.